Bug 1143912 - libfreenect: build fails on s390(x) and ppc(64(le))
Summary: libfreenect: build fails on s390(x) and ppc(64(le))
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: libfreenect
Version: 21
Hardware: Unspecified
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Rich Mattes
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: ZedoraTracker PPCTracker F-ExcludeArch-ppc64le, PPC64LETracker
TreeView+ depends on / blocked
 
Reported: 2014-09-18 08:56 UTC by Jakub Čajka
Modified: 2019-01-09 12:54 UTC (History)
3 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2015-05-14 11:12:56 UTC


Attachments (Terms of Use)
Patch (8.51 KB, patch)
2014-09-18 08:56 UTC, Jakub Čajka
no flags Details | Diff
Improved/fixed patch (8.67 KB, patch)
2014-09-18 10:06 UTC, Jakub Čajka
no flags Details | Diff

Description Jakub Čajka 2014-09-18 08:56:58 UTC
Created attachment 938810 [details]
Patch

Build fails, on up mentioned platforms as there are missing definitions/header files, adding them based on arm definitions/header, enables build to pass successfully. Please review this changes, and if appropriate post them upstream.
In attachment is patch with these changes.

Failing builds:
http://s390.koji.fedoraproject.org/koji/buildinfo?buildID=264410
http://ppc.koji.fedoraproject.org/koji/buildinfo?buildID=258262

Successful scratch builds:

http://ppc.koji.fedoraproject.org/koji/taskinfo?taskID=2108751
http://koji.fedoraproject.org/koji/taskinfo?taskID=7611807
http://s390.koji.fedoraproject.org/koji/taskinfo?taskID=1540034

Comment 1 Jakub Čajka 2014-09-18 10:06:32 UTC
Created attachment 938828 [details]
Improved/fixed patch

thanks to dhorak

Comment 2 Rich Mattes 2015-03-04 18:46:38 UTC
Sorry for the delayed reply.  The secarch patch isn't in the diff posted, and the scratch builds are gone.  If you still have it, can you just post the patch (I can make the spec modifications).

Comment 3 Dan Horák 2015-03-04 19:01:42 UTC
(In reply to Rich Mattes from comment #2)
> Sorry for the delayed reply.  The secarch patch isn't in the diff posted,
> and the scratch builds are gone.  If you still have it, can you just post
> the patch (I can make the spec modifications).

The diff is there. It's probably a bugzilla bug, but when you click on the "Improved/fixed patch" in the Attachments pane, it will show up. Clicking on the link in comment #1 won't.

Comment 4 Fedora Update System 2015-03-04 20:12:56 UTC
libfreenect-0.5.2-2.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/libfreenect-0.5.2-2.fc22

Comment 5 Fedora Update System 2015-03-04 20:50:26 UTC
libfreenect-0.5.2-2.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/libfreenect-0.5.2-2.fc21

Comment 6 Fedora Update System 2015-03-05 12:40:38 UTC
Package libfreenect-0.5.2-2.fc21:
* should fix your issue,
* was pushed to the Fedora 21 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing libfreenect-0.5.2-2.fc21'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-3254/libfreenect-0.5.2-2.fc21
then log in and leave karma (feedback).

Comment 7 Fedora Update System 2015-05-14 11:12:56 UTC
libfreenect-0.5.2-2.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2015-05-26 03:54:59 UTC
libfreenect-0.5.2-2.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.